=== debian/changelog ===
ayatana-indicator-display (0.2-0+git20210810.292+11.01.nightly.1) unstable; urgency=medium

  * Fork ayatana-indicator-datetime from Ubuntu's indicator-display.

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.
  * Development-Snapshot!!! Auto-built Debian sid package for
    packages.arctica-project.org repository (Git commit:
    5f7bc0fd29982f49cb64e2da578ed3ccea423111).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Tue, 10 Aug 2021 22:15:23 +0200

indicator-display (0.1+17.04.20170210-0ubuntu1) zesty; urgency=medium

  * Remove old autostart files.
  * Fix the google test dependency.
  * Use intltool support from cmake-extras.
  * Make coverage reporting work.
  * Enable parallel builds.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Fri, 10 Feb 2017 17:10:00 +0000

indicator-display (0.1+17.04.20170106-0ubuntu1) zesty; urgency=medium

  * Compatibility with unversioned cmake-extras modules (LP: #1563573)

 -- Pete Woods <pete.woods@canonical.com>  Fri, 06 Jan 2017 10:44:49 +0000

indicator-display (0.1+17.04.20161021.1-0ubuntu1) zesty; urgency=medium

  [ Charles Kerr ]
  * Fix test error in adbd-client-test

  [ Ted Gould ]
  * Adding a systemd user session unit

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Oct 2016 14:20:11 +0000

indicator-display (0.1+16.04.20160324.1-0ubuntu1) xenial; urgency=medium

  [ Charles Kerr ]
  * When a new device appears to ADB, prompt the user whether or not to
    allow the connection.

 -- Simon Fels <simon.busch@canonical.com>  Thu, 24 Mar 2016 16:16:55 +0000

indicator-display (0.1+15.10.20150727-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Jul 2015 22:57:15 +0000

indicator-display (0.1+15.10.20150727-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Charles Kerr ]
  * drop build-dependency on g++-4.9 (LP: #1452323)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 27 Jul 2015 18:06:30 +0000

indicator-display (0.1+15.04.20150302-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Fix action-state-to-variant mapping (LP: #1410915)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 02 Mar 2015 16:56:31 +0000

indicator-display (0.1+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Ted Gould ]
  * Small typo in integration test plan

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 21:06:33 +0000

indicator-display (0.1+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Use com.ubuntu.touch.system's "rotation-lock" boolean for the
    rotation lock indicator. (LP: #1378078)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 13:44:22 +0000

indicator-display (0.1+14.10.20141007-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Change the phone header's title from "Rotation Lock" to "Rotation".
    (LP: #1377286)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 Oct 2014 19:45:58 +0000

indicator-display (0.1+14.10.20140915-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * Tag to use langpacks, so launchpad imports the translations template

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 21:05:52 +0000

indicator-display (0.1+14.10.20140905.1-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add a rotation lock indicator

  [ Ted Gould ]
  * First commit, README
  * First release in CI Train

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Sep 2014 22:18:08 +0000

indicator-display (0.1-0ubuntu1) utopic; urgency=medium

  * Initial release.

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 20 Aug 2014 15:29:27 -0500
