=== debian/control ===
Source: ayatana-indicator-display
Section: nightly/x11
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               libgudev-1.0-dev,
               libproperties-cpp-dev,
# for coverage reports
               gcovr,
               lcov,
# Ubuntu B-Ds, if on Ubuntu
               gsettings-ubuntu-schemas (>= 0.0.2+14.10.20140813) | hello,
# for tests
               qtbase5-dev,
               libqtdbusmock1-dev,
               libqtdbustest1-dev,
               cppcheck,
               googletest | google-mock (>= 1.6.0+svn437),
# for packaging
               debhelper (>= 9),
               dh-systemd,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.1.1
Homepage: http://github.com/AyatanaIndicators/ayatana-indicator-display
Vcs-Git: http://github.com/AyatanaIndicators/ayatana-indicator-display
Vcs-Browser: http://github.com/AyatanaIndicators/ayatana-indicator-display

Package: ayatana-indicator-display
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         libglib2.0-bin,
Description: Ayatana Indicator for Display configuration
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their display settings.
