## ayatana-indicator-display 22.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ##
 include(GNUInstallDirs)
 
-set(PROJECT_VERSION "0.2")
+set(PROJECT_VERSION "22.2.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(SERVICE_LIB ${PACKAGE})
 set(SERVICE_EXEC "${PACKAGE}-service")
@@ -29,12 +29,14 @@
 endif()
 
 if(ENABLE_WERROR)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+    add_definitions("-Werror")
 endif()
 
-set(CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
-set(CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
+if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
+    add_definitions("-Weverything")
+elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+    add_definitions("-Wall")
+endif()
 
 ##
 ## Gettext
@@ -64,9 +66,11 @@
 # glib...
 set(GLIB_MINIMUM 2.36)
 pkg_check_modules(SERVICE_DEPS REQUIRED
+    libayatana-common>=0.9.3
     gio-unix-2.0>=${GLIB_MINIMUM}
     glib-2.0>=${GLIB_MINIMUM}
     gudev-1.0
+    properties-cpp>=0.0.1
 )
 include_directories (SYSTEM
   ${SERVICE_DEPS_INCLUDE_DIRS}
@@ -77,15 +81,7 @@
 ##
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
-
-# set the compiler warnings
-if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
-    list(APPEND CXX_WARNING_ARGS -Weverything -Wno-c++98-compat -Wno-padded)
-elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
-    list(APPEND CXX_WARNING_ARGS -Wall -Wextra -Wpedantic)
-endif()
-
-add_compile_options(-std=c++14 -fPIC)
+add_compile_options(-fPIC)
 
 add_subdirectory(src)
 add_subdirectory(data)
