=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,4 @@
 set(CMAKE_AUTOMOC ON)
-
-SET(CMAKE_CXX_LINK_FLAGS  "${CMAKE_CXX_LINK_FLAGS} -no-pie")
 
 find_package(GMock REQUIRED)
 find_package(Qt5Core REQUIRED)
@@ -31,7 +29,7 @@
 
 add_compile_options(${CXX_WARNING_ARGS})
 
-add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem)
+add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem --suppress=uninitDerivedMemberVar --suppress=unmatchedSuppression --suppress=constParameter)
 
 add_subdirectory(integration)
 add_subdirectory(unit)
