=== debian/changelog ===
ayatana-indicator-display (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_GSettings-Use-org.ayatana.display.gschema.xml-for-no.patch.
      Applied upstream.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 15:08:14 +0100

ayatana-indicator-display (0.9.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1000143).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Nov 2021 09:42:31 +0100
