=== debian/changelog ===
ayatana-indicator-display (22.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Resolves cppcheck unit test failure. (Closes: #1013627).
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 21 Jul 2022 01:38:41 +0200
