=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                debhelper-compat (= 13),
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-display
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display.git
