## ayatana-indicator-display 22.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ##
 include(GNUInstallDirs)
 
-set(PROJECT_VERSION "22.2.1")
+set(PROJECT_VERSION "22.9.1")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(SERVICE_LIB ${PACKAGE})
 set(SERVICE_EXEC "${PACKAGE}-service")
