=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,8 @@
 ## GSettings schema
 ##
 
-set (SCHEMA_NAME "org.ayatana.display.gschema.xml")
+set (SCHEMA_NAME "org.ayatana.indicator.display.gschema.xml")
 set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
-set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
-
-# generate the .xml file using intltool
-find_package(Intltool REQUIRED)
-set (ENV{LC_ALL} "C")
-intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
 # let GSettings do the rest
 find_package(GSettings REQUIRED)
