=== debian/changelog ===
ayatana-indicator-display (22.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_fix-failing-cppcheck.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Nov 2022 22:35:10 +0100

ayatana-indicator-display (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001_fix-failing-cppcheck.patch. Fix failing cppchecks.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 12:01:42 +0200
