## ayatana-indicator-display 22.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ##
 include(GNUInstallDirs)
 
-set(PROJECT_VERSION "22.9.1")
+set(PROJECT_VERSION "22.9.3")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(SERVICE_LIB ${PACKAGE})
 set(SERVICE_EXEC "${PACKAGE}-service")
@@ -20,6 +20,7 @@
 option(ENABLE_TESTS "Enable all tests and checks" OFF)
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
+option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -65,13 +66,20 @@
 
 # glib...
 set(GLIB_MINIMUM 2.36)
-pkg_check_modules(SERVICE_DEPS REQUIRED
-    libayatana-common>=0.9.3
-    gio-unix-2.0>=${GLIB_MINIMUM}
-    glib-2.0>=${GLIB_MINIMUM}
-    gudev-1.0
-    properties-cpp>=0.0.1
-)
+set (SERVICE_DEPS libayatana-common>=0.9.3 gio-unix-2.0>=${GLIB_MINIMUM} glib-2.0>=${GLIB_MINIMUM})
+
+if (ENABLE_TESTS)
+    list (APPEND SERVICE_DEPS properties-cpp>=0.0.1)
+endif ()
+
+if (ENABLE_LOMIRI_FEATURES)
+    find_package(Qt5Core REQUIRED)
+    list (APPEND SERVICE_DEPS gudev-1.0)
+    add_definitions (-DLOMIRI_FEATURES_ENABLED)
+endif ()
+
+pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
+
 include_directories (SYSTEM
   ${SERVICE_DEPS_INCLUDE_DIRS}
 )
@@ -114,3 +122,4 @@
 message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
 message(STATUS "Unit tests: ${ENABLE_TESTS}")
 message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
+message(STATUS "Build with Lomiri features: ${ENABLE_LOMIRI_FEATURES}")
