=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,18 +4,28 @@
   ${CXX_WARNING_ARGS}
 )
 
-add_library(
-    ${SERVICE_LIB}
-    STATIC
-    adbd-client.cpp
-    exporter.cpp
-    greeter.cpp
-    indicator.cpp
-    rotation-lock.cpp
-    usb-manager.cpp
-    usb-monitor.cpp
-    usb-snap.cpp
+set (SERVICE_LIB_SOURCES
+     exporter.cpp
+     indicator.cpp
+     rotation-lock.cpp
 )
+
+if (ENABLE_LOMIRI_FEATURES)
+    list (APPEND
+          SERVICE_LIB_SOURCES
+          greeter.cpp
+          adbd-client.cpp
+          usb-manager.cpp
+          usb-monitor.cpp
+          usb-snap.cpp
+    )
+endif ()
+
+add_library (${SERVICE_LIB} STATIC ${SERVICE_LIB_SOURCES})
+
+if (ENABLE_LOMIRI_FEATURES)
+    target_link_libraries(${SERVICE_LIB} Qt5::Core)
+endif ()
 
 add_executable(
     ${SERVICE_EXEC}
