=== debian/changelog ===
ayatana-indicator-display (22.9.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B-D and D: xsct (required in unit tests and at runtime).
  * debian/rules:
    + Set new CMake flag ENABLE_LOMIRI_FEATURES to ON.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 07:59:48 +0100

ayatana-indicator-display (22.9.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 07:33:40 +0100
