=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
-               cmake-extras (>= 0.10),
+               cmake-extras,
                dbus,
                intltool,
                libayatana-common-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.36),
+               libglib2.0-dev,
                libgtest-dev,
                libgudev-1.0-dev,
                libproperties-cpp-dev,
@@ -23,6 +23,7 @@
                libqtdbustest1-dev,
                cppcheck,
                googletest,
+               xsct,
 # for packaging
                debhelper-compat (= 13),
 # for systemd unit
@@ -38,6 +39,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ayatana-indicator-common,
+         xsct,
 Description: Ayatana Indicator for Display configuration
  This Ayatana Indicator is designed to be placed on the right side of a
  panel and give the user easy control for changing their display settings.
