=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 DEB_CMAKE_EXTRA_FLAGS = \
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
+    -DENABLE_LOMIRI_FEATURES=ON \
     $(NULL)
 
 %:
