=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,13 @@
           usb-manager.cpp
           usb-monitor.cpp
           usb-snap.cpp
+    )
+endif ()
+
+if (ENABLE_COLOR_TEMP)
+    list (APPEND
+          SERVICE_LIB_SOURCES
+          solar.c
     )
 endif ()
