=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 set(CMAKE_AUTOMOC ON)
 
 find_package(GMock REQUIRED)
-find_package(Qt5Core REQUIRED)
 find_package(Qt5Test REQUIRED)
 find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
 
@@ -31,9 +30,11 @@
 
 add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem --suppress=uninitDerivedMemberVar --suppress=unmatchedSuppression --suppress=constParameter --suppress=unusedFunction)
 
-add_subdirectory(integration)
-add_subdirectory(unit)
-add_subdirectory(utils)
+if (ENABLE_LOMIRI_FEATURES)
+    add_subdirectory (integration)
+    add_subdirectory (unit)
+    add_subdirectory (utils)
+endif ()
 
 set(COVERAGE_TEST_TARGETS
   ${COVERAGE_TEST_TARGETS}
