=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,7 @@
   add_test(${TEST_NAME} ${TEST_NAME})
   add_dependencies(${TEST_NAME} gschemas-compiled)
   set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
+  set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT "TEST_NAME=${TEST_NAME}")
   target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})
 endfunction()
 add_test_by_name(adbd-client-test)
