=== debian/changelog ===
ayatana-indicator-display (22.9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add to B-D: libgeoclue-2-dev.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/rules:
    + Add CMake flag ENABLE_COLOR_TEMP and set it to ON.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 23:49:29 +0100
