=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libgtest-dev,
                libgudev-1.0-dev,
                libproperties-cpp-dev,
+               libgeoclue-2-dev,
 # for coverage reports
                gcovr,
                lcov,
@@ -28,7 +29,7 @@
                debhelper-compat (= 13),
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-display
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display.git
